ruby-sdl_2.2.0-1+b2_amd64.deb


Advertisement

Description

ruby-sdl - Ruby/SDL interface for Ruby

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-sdl_2.2.0-1+b2_amd64.deb
Package name ruby-sdl
Package version 2.2.0
Package release 1+b2
Package architecture amd64
Package type deb
Category ruby uitoolkit::sdl
Homepage http://ohai.github.io/rubysdl/
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 160.63 KB
Installed size 1004.00 KB
Ruby/SDL is the ruby extension library to use SDL. SDL (Simple
DirectMedia Layer) is a cross-platform multimedia library designed to
provide fast access to the graphics framebuffer and audio device.

Alternatives

Package Version Architecture Repository
ruby-sdl_2.2.0-1+b2_i386.deb 2.2.0 i386 Debian Main
ruby-sdl - - -

Requires

Name Value
libc6 >= 2.14
libgl1 -
libgmp10 -
libruby2.5 >= 2.5.0~preview1
libsdl-image1.2 >= 1.2.10
libsdl-mixer1.2 -
libsdl-sge >= 030809-1
libsdl-ttf2.0-0 -
libsdl1.2debian >= 1.2.11
libsmpeg0 -
ruby << 1:2.6~
ruby >= 1:2.5~0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-sdl_2.2.0-1+b2_amd64.deb
Source Package ruby-sdl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-sdl deb package:
    # sudo apt-get install ruby-sdl

Files

Path
/usr/lib/ruby/vendor_ruby/rubysdl_aliases.rb
/usr/lib/ruby/vendor_ruby/rubysdl_compatible_ver1.rb
/usr/lib/ruby/vendor_ruby/sdl.rb
/usr/lib/ruby/vendor_ruby/sdl1_compatible.rb
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/sdl_ext.so
/usr/share/doc-base/ruby-sdl-doc
/usr/share/doc-base/ruby-sdl-doc-ja
/usr/share/doc/ruby-sdl/NEWS.en.gz
/usr/share/doc/ruby-sdl/NEWS.ja.gz
/usr/share/doc/ruby-sdl/README.en.gz
/usr/share/doc/ruby-sdl/README.ja.gz
/usr/share/doc/ruby-sdl/changelog.Debian.amd64.gz
/usr/share/doc/ruby-sdl/changelog.Debian.gz
/usr/share/doc/ruby-sdl/changelog.gz
/usr/share/doc/ruby-sdl/copyright
/usr/share/doc/ruby-sdl/rubysdl_ref.en.html
/usr/share/doc/ruby-sdl/rubysdl_ref.html
/usr/share/doc/ruby-sdl/examples/aadraw.rb
/usr/share/doc/ruby-sdl/examples/alpha.rb
/usr/share/doc/ruby-sdl/examples/alphadraw.rb
/usr/share/doc/ruby-sdl/examples/bfont.rb
/usr/share/doc/ruby-sdl/examples/caption.rb
/usr/share/doc/ruby-sdl/examples/cdrom.rb
/usr/share/doc/ruby-sdl/examples/collision.rb
/usr/share/doc/ruby-sdl/examples/cursor.bmp
/usr/share/doc/ruby-sdl/examples/cursor.rb
/usr/share/doc/ruby-sdl/examples/ellipses.rb
/usr/share/doc/ruby-sdl/examples/event2.rb
/usr/share/doc/ruby-sdl/examples/font.bmp.gz
/usr/share/doc/ruby-sdl/examples/font.rb
/usr/share/doc/ruby-sdl/examples/fpstimer.rb
/usr/share/doc/ruby-sdl/examples/icon.bmp
/usr/share/doc/ruby-sdl/examples/icon.png
/usr/share/doc/ruby-sdl/examples/joy2.rb
/usr/share/doc/ruby-sdl/examples/kanji.rb
/usr/share/doc/ruby-sdl/examples/load_from_io.rb
/usr/share/doc/ruby-sdl/examples/movesp.rb
/usr/share/doc/ruby-sdl/examples/playmod.rb
/usr/share/doc/ruby-sdl/examples/plaympeg.rb
/usr/share/doc/ruby-sdl/examples/playwave.rb
/usr/share/doc/ruby-sdl/examples/randrect.rb
/usr/share/doc/ruby-sdl/examples/sample.ttf.gz
/usr/share/doc/ruby-sdl/examples/sdlskk.rb
/usr/share/doc/ruby-sdl/examples/sgetest.rb
/usr/share/doc/ruby-sdl/examples/stetris.rb
/usr/share/doc/ruby-sdl/examples/testgl.rb
/usr/share/doc/ruby-sdl/examples/testgl_old.rb
/usr/share/doc/ruby-sdl/examples/testsprite.rb
/usr/share/doc/ruby-sdl/examples/transformblit.rb
/usr/share/rubygems-integration/2.5.0/specifications/rubysdl-2.2.0.gemspec

Changelog

2016-04-10 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-sdl (2.2.0-1) unstable; urgency=medium
[ Caitlin Matos ]
* updated homepage, watchfile
[ Cédric Boutillier ]
* Bump debhelper compatibility level to 9
* Use https:// in Vcs-* fields
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.7 (no changes needed)
* Run wrap-and-sort on packaging files
[ Youhei SASAKI ]
* Imported Upstream version 2.2.0
* Drop -dbg package
* Update document creation rules
* Exclude duplicate gzip file from examples
* Refresh patch
* Add nkf, rdtool in B-D for document creation
2014-02-08 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-sdl (2.1.3-1) unstable; urgency=medium
* Imported Upstream version 2.1.3
* debian/copyright: Update copyright format 1.0
2014-01-01 - Christian Hofstaedtler <zeha@debian.org>
ruby-sdl (2.1.2-4) unstable; urgency=medium
* Team upload.
[ Cédric Boutillier ]
* debian/control: remove obsolete DM-Upload-Allowed flag
* use canonical URI in Vcs-* fields
[ Christian Hofstaedtler ]
* Remove transitional packages
* Bump Standards-Version to 3.9.5 (no changes)
2012-05-18 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-sdl (2.1.2-3) unstable; urgency=low
* Create transitional package for libsdl-ruby (Closes: #672177) 
* Remove old package name for ruby-opengl from Suggests:
* Override lintian warnings about duplicate description for transitional
packages
* Add debian/patches/fix_shebang_sample.patch to fix shebangs in examples
* Register HTML documentation with doc-base
2012-04-23 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-sdl (2.1.2-2) unstable; urgency=low
* Adding myself to Uploaders:
* Adjust version in Replaces: and Breaks: field to match the latest version
of libsdl-ruby source package.
2012-04-16 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-sdl (2.1.2-1) unstable; urgency=low
* Imported Upstream version 2.1.2
* Bump Standard Version: 3.9.3
2012-01-16 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-sdl (2.1.1.1-2) unstable; urgency=low
* Switch to gem2deb-based packaging. 
- Source and binary package renamed to ruby-sdl. 
- Transitional packages added.
* Change source format: 3.0(quilt)
* Add myself as uploader
* Add DM-Upload-Allowed: yes
2010-05-02 - Deepak Tripathi <apenguinlinux@gmail.com>
libsdl-ruby (2.1.1.1-1) unstable; urgency=low
* New upstream release
* debian/control
- Bumped the standards version to 3.8.4; no changes required.
* Added myself as uploader
* debian/libsdl-ruby.doc
- Removed rubysdl_const_list.txt
* Added debian/source
[ Gunnar Wolf ]
* Changed section to Ruby as per ftp-masters' request
[ Paul van Tilburg ]
* Tweaked the RD documentation generating rules (title, charsets).
* New upstream release; moved to the 2.x branch (closes: #510050)!
* debian/watch: updated, the source moved to RubyForge.
* debian/control:
- Added a package for Ruby 1.9 now that it is supported.
- Added build-depend on ruby1.9.1 and ruby1.9.1-dev.
- Fixed package description of libruby-sdl, it talked about Mahoro for
some reason. 
- Removed the build-depend on rdtool.
- Added ${misc:Depends} to the depends of libsdl-ruby{,1.8,1.9.1}.
* debian/rules: removed rules to generate docs, this is done by
upstream now.

See Also

Package Description
ruby-sdoc_0.4.1-2_all.deb RDoc generator to build searchable HTML documentation for Ruby code
ruby-seamless-database-pool_1.0.20-1_all.deb support for master/slave database clusters in ActiveRecord
ruby-secure-headers_6.0.0-1_all.deb Security related headers all in one gem
ruby-securecompare_1.0.0-1_all.deb string comparison method safe for use in cryptographic functions
ruby-select2-rails_3.5.9.3-2_all.deb integrate Select2 javascript library with Rails asset pipeline
ruby-selenium-webdriver_3.141.0+dfsg-1_all.deb Browser automation framework and ecosystem
ruby-selinux_2.8-1+b1_amd64.deb Ruby bindings to SELinux shared libraries
ruby-semanage_2.8-2_amd64.deb Ruby bindings to for SELinux policy management
ruby-semantic-puppet_1.0.2-1_all.deb Useful tools for working with semantic versions with Puppet
ruby-semverse_2.0.0-1_all.deb Ruby library for representing SemVer versions and constraints
ruby-sentry-raven_2.7.4-1_all.deb client interface for the Sentry error logger
ruby-sequel_5.15.0-1_all.deb Simple, flexible, and powerful SQL database access toolkit for Ruby
ruby-sequenced_3.1.1-1_all.deb generate scoped sequential IDs for ActiveRecord models
ruby-serialport_1.3.1-1+b5_amd64.deb Library for using RS-232 serial ports from Ruby programs
ruby-serverspec_2.41.3-3_all.deb RSpec tests for your servers configured by Puppet, Chef or anything else
Advertisement
Advertisement